HP officejet 5740 drivers needed

Getting your soundcard to work, using Debian on non-i386 hardware, etc

Re: HP officejet 5740 drivers needed

Postby stevepusser » 2017-04-10 20:01

Shep, I think we lost the OP. The printer requires an minimum of hplip=3.14.10, jessie has 3.14.6, and he seemed unwilling to use the backports repository or follow rather simple instructions. Some people are like that.
The MX Linux repositories: Backports galore! If we don't have something, just ask and we'll try--we like challenges. New packages: Krita 3.3.2.1, Pale Moon 27.6.0, Audacity 2.2.0, mpv 0.27.0, Corebird 1.7.1, Firefox 57.0, SMPlayer 17.11.2
User avatar
stevepusser
 
Posts: 8903
Joined: 2009-10-06 05:53

Re: HP officejet 5740 drivers needed

Postby shep » 2017-04-12 13:21

IMHO, the problem with click n configure interfaces is that they are complex and when they fail are difficult to trouble shoot. Searching the internet and reading documentation become requisite.

For basic printing, the OP had 4 options in Debian:
1) HPLIP
2) CUPS + manual configuration
3) LPRng + hpijs or gutenprint PCL-900
4 LPR + hpijs or gutenprint PCL-900

I use OpenBSD/NetBSD - the base LPR print spooler is elegantly simple.
shep
 
Posts: 130
Joined: 2011-03-15 15:22

Previous

Return to Hardware

Who is online

Users browsing this forum: No registered users and 1 guest

fashionable